## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate heapless

Name:           rust-heapless
Version:        0.8.0
Release:        %autorelease
Summary:        Static friendly data structures that don't require dynamic memory allocation

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/heapless
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# can't package ufmt, test errors
Patch:          heapless-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
`static` friendly data structures that don't require dynamic memory
allocation.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/suppressions.txt
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mpmc_large-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mpmc_large-devel %{_description}

This package contains library source intended for building other packages which
use the "mpmc_large" feature of the "%{crate}" crate.

%files       -n %{name}+mpmc_large-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+portable-atomic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+portable-atomic-devel %{_description}

This package contains library source intended for building other packages which
use the "portable-atomic" feature of the "%{crate}" crate.

%files       -n %{name}+portable-atomic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+portable-atomic-critical-section-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+portable-atomic-critical-section-devel %{_description}

This package contains library source intended for building other packages which
use the "portable-atomic-critical-section" feature of the "%{crate}" crate.

%files       -n %{name}+portable-atomic-critical-section-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+portable-atomic-unsafe-assume-single-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+portable-atomic-unsafe-assume-single-core-devel %{_description}

This package contains library source intended for building other packages which
use the "portable-atomic-unsafe-assume-single-core" feature of the "%{crate}" crate.

%files       -n %{name}+portable-atomic-unsafe-assume-single-core-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Mar 21 2024 Michel Lind <salimma@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0 (rhbz#2248736)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Feb 24 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.7.16-1
- Initial Fedora package
## END: Generated by rpmautospec
